LMENV(4)

NAME
lmenv - National Semiconductor LM87 temperature, voltage, and fan sensor

SYNOPSIS
lmenv* at iic?

DESCRIPTION
The lmenv driver provides support for the National Semiconductor LM87, National Semiconductor LM81, Analog Devices ADM9240, and Dallas Semiconductor 1780 temperature sensors. The sensor possesses a collection of sensor values which are made available through the sysctl(8) interface:

    $ sysctl hw.sensors.lmenv0
    hw.sensors.lmenv0.temp0=-128.00 degC (External)
    hw.sensors.lmenv0.temp1=29.00 degC (Internal)
    hw.sensors.lmenv0.fan0=3220 RPM
    hw.sensors.lmenv0.volt0=2.62 V DC (+2.5Vin)
    hw.sensors.lmenv0.volt1=1.49 V DC (Vccp)
    hw.sensors.lmenv0.volt2=3.28 V DC (+Vcc)
    hw.sensors.lmenv0.volt3=5.03 V DC (+5Vin/Vcc)
    hw.sensors.lmenv0.volt4=12.00 V DC (+12Vin)
    hw.sensors.lmenv0.volt5=1.20 V DC (Vccp)

SEE ALSO
iic(4), intro(4), sensorsd(8), sysctl(8)

HISTORY
The lmenv driver first appeared in OpenBSD 3.9.

AUTHORS
-nosplit The lmenv driver was written by Mark Kettenis <kettenis@openbsd.org>.